# Change channels bindings (by id)

`PATCH /channels/bindings/{id}` · Rivier · agents

- Scope: agents:write
- Graphql: Mutation.agentsChannelsBindingsUpdate
- Sdk: agents.channelsBindings.update
- Cli: agents channels bindings update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/channels/bindings/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
